Search the Community
Showing results for tags 'dxf code'.
-
I'm working on a new Lisp that i want as little input as possible to put together, but i am stuck as to why my code is not working. I have chosen an Entity1, "SetQ 1" a certain DXF Group code Assoc Value then i chose a Entity2 and "SetQ 2" its same Assoc Value now i try to modify Entity1's Assoc Value by using (Setq Change (subst AssocV2 AssocV Change)) (Entmod Change) but the Entity does not change, i don't get errors just no action. What would be a good way of changing an entity's Assoc value? I don't post my code cuz i don't want the solution, i just want to be steered in the right direction. Thanks
-
DXF 2 doesn't match block name in properties window
WPerciful posted a topic in AutoLISP, Visual LISP & DCL
I tested the code below by selecting one type of block, but instead of returning the name it returned *U36 (cdr (assoc 2 (entget (car (entsel "\nSelect a buble: "))))) -
I'm working on a small software. My software must be export a DXF file to work with Autocad. On my DXF there area lines and a raster image. I'm reading the DXF 2002 reference (I have choose 2002 version for compatibily problems). If I try to export only lines my DXF is read from Autocad (but also other CAD software). My problem is the raster image. If export the raster image Autocad don't read my DXF. Which are the minimum requirements for creating to add raster image on my DXF? THIS IS MY WORKING DXF (only a line): ---------------------------------------------------------------------------- 0 SECTION 2 HEADER 9 $EXTMIN 10 -71.5 20 46.444444444444 30 0 9 $EXTMAX 10 -71.5 20 46.444444444444 30 0 9 $LTSCALE 40 1 0 ENDSEC 0 SECTION 2 TABLES 0 TABLE 2 LTYPE 100 AcDbSymbolTable 0 LTYPE 100 AcDbSymbolTableRecord 100 AcDbLinetypeTableRecord 2 CONTINUOUS 70 0 3 Solid line 72 65 73 0 40 0 0 LTYPE 100 AcDbSymbolTableRecord 100 AcDbLinetypeTableRecord 2 BYLAYER 70 0 3 72 65 73 0 40 0 0 LTYPE 100 AcDbSymbolTableRecord 100 AcDbLinetypeTableRecord 2 BYBLOCK 70 0 3 72 65 73 0 40 0 0 ENDTAB 0 TABLE 2 LAYER 100 AcDbSymbolTable 70 0 0 LAYER 100 AcDbSymbolTableRecord 100 AcDbLayerTableRecord 2 0 70 0 62 7 6 CONTINUOUS 0 ENDTAB 0 ENDSEC 0 SECTION 2 ENTITIES 0 LINE 100 AcDbEntity 8 0 6 CONTINUOUS 48 1 62 256 10 -71.5000 20 46.4444 30 0.0000 11 104.5000 21 109.3889 31 0.0000 0 ENDSEC 0 SECTION 2 OBJECTS 0 ENDSEC 0 EOF ---------------------------------------------------------------------------- THIS IS MY NOT WORKING DXF (line and image): ---------------------------------------------------------------------------- 0 SECTION 2 HEADER 9 $EXTMIN 10 -134.509920634949 20 66.5238095238 30 0 9 $EXTMAX 10 -134.509920634949 20 66.5238095238 30 0 9 $LTSCALE 40 1 0 ENDSEC 0 SECTION 2 TABLES 0 TABLE 2 LTYPE 100 AcDbSymbolTable 0 LTYPE 100 AcDbSymbolTableRecord 100 AcDbLinetypeTableRecord 2 CONTINUOUS 70 0 3 Solid line 72 65 73 0 40 0 0 LTYPE 100 AcDbSymbolTableRecord 100 AcDbLinetypeTableRecord 2 BYLAYER 70 0 3 72 65 73 0 40 0 0 LTYPE 100 AcDbSymbolTableRecord 100 AcDbLinetypeTableRecord 2 BYBLOCK 70 0 3 72 65 73 0 40 0 0 ENDTAB 0 TABLE 2 LAYER 100 AcDbSymbolTable 70 0 0 LAYER 100 AcDbSymbolTableRecord 100 AcDbLayerTableRecord 2 0 70 0 62 7 6 CONTINUOUS 0 ENDTAB 0 ENDSEC 0 SECTION 2 ENTITIES 0 IMAGE 100 AcDbEntity 8 0 6 CONTINUOUS 48 1 62 256 10 44.6111 20 28.7222 30 0.0000 11 0.2292 21 0.1323 31 0.0000 12 -0.2647 22 0.4585 32 0.0000 340 6B 13 394 23 287 340 6B 0 LINE 100 AcDbEntity 8 0 6 CONTINUOUS 48 1 62 256 10 -134.5099 20 66.5238 30 0.0000 11 -19.3810 21 200.7500 31 0.0000 0 ENDSEC 0 SECTION 2 OBJECTS 0 IMAGEDEF 5 6B 100 AcDbEntity 90 0 1 C:\Users\Martin\Desktop\feature17.png 10 394.0000 20 287.0000 11 0.2647 21 0.0000 280 1 281 3 0 ENDSEC 0 EOF ---------------------------------------------------------------------------- I hope somebody can help me. Thanks
-
Using a Polygon to create a wipeout for a circle
chiimayred posted a topic in AutoLISP, Visual LISP & DCL
Hey guys, I'm working on a code but I am having issues with getting the DXF codes assigned to a variable and using the variables for the polygon command. Basically what I am trying to do is to create a polygon that "traces" a circle that will help me with the wipeout command. (defun c:test (/ obj) (setq obj (entsel"\nSelect Circle to Wipeout: ")) (setq rad (assoc 40 obj)) (setq cen (assoc 10 obj)) (command "_.polygon" 50 cen "C" rad ) ) I'm getting this error: error: bad association list: (7ffffb05b50> (3241.76 1416.18 0.0)) Any help is appreciated -
Dimension on DXF file Example
ballock posted a topic in AutoCAD 2D Drafting, Object Properties & Interface
Hi, i am a begginer programer in dxf files . I need a simple example dxf code with line mtext e dimension I try undestand code generate from AutoCad, but this code contain 12000 lines or more. Example: http://glaubercavassani.files.wordpress.com/2012/04/mini-tuto-am.jpg?w=224